package com.kamco.cd.training.postgres.repository.upload;

import com.kamco.cd.training.upload.dto.UploadDto;
import java.util.UUID;

public interface UploadSessionRepositoryCustom {

  void insertUploadSession(UploadDto.UploadAddReq addReq);

  UploadDto.uploadDto findByDatasetUid(String uploadDivi, UUID uuid);

  UploadDto.uploadDto findByUuid(String uuid);

  void updateUploadSessionStatus(UploadDto.UploadAddReq addReq);
}
